/* Pan - In-window text widget for viewing messages
 *
 * Copyright (C) 1999 Matt Eagleson (e.Messiah@superpimp.org)
 *
 * Authors: Matt Eagleson <e.Messiah@superpimp.org>
 *          Jason Leach <leach@wam.umd.edu>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA
 */

#ifndef __TEXT_H__
#define __TEXT_H__

extern GtkWidget *text;
extern GtkWidget *text_rightclick_popup;
extern article_data* article;

void       text_set_from_message_id  (const gchar* message_id, MessageWindowType type, gboolean needs_window);
void       text_clear      (void);
GtkWidget* text_create     (void);
void	   text_select_all (void);
void	   text_update     (Message *msg);

//void          text_update	(const gchar *);
//article_data* displayed_article (void);

#endif /* __TEXT_H__ */
